<?php
// $Id: main.php,v 1.1 2004/10/18 17:54:11 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//

// Welcome Screen
define("_INSTALL_W_WELCOME"   , "Willkommen zum Installation-Assistenten von %s");
define("_INSTALL_W_CHOOSE"    , "Bitte wähle eine Aktion, die du durchführen möchtest:");
define("_INSTALL_W_CHOOSELANG", "Bitte wähle die Sprache, die im Installationsprozess verwendet werden soll:");

// Server Tests
define("_INSTALL_ST_TESTS"       , "Dies ist das Ergebnis nachdem dein Server getestet wurde:");
define("_INSTALL_ST_MAINFILE_OK" , "Deine mainfile.php hat Schreibzugriff :: <img src='images/check.gif' />");
define("_INSTALL_ST_MAINFILE_BAD", "mainfile.php im Hauptverzeichnis muss auf folgende Schreibrechte gesetzt werden (0666 Unix / read-write Win32) um fortzufahren :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_OK"    , "Deine mysql version ist %s, das ist genügend :: <img src='images/check.gif' />");
define("_INSTALL_ST_MYSQL_BAD"   , "Deine mysql version ist %s, dass reicht nicht um RUNCMS zu benutzen :: <img src='images/failed.gif' />");
define("_INSTALL_ST_MYSQL_BAD2"  , "Konnte deine mysql version nicht feststellen, MySQL 3.23.xx minimum ist erforderlich.");
define("_INSTALL_ST_GLOBALS_OK"  , "Register Globals sind ON :: <img src='images/check.gif' />");
define("_INSTALL_ST_GLOBALS_BAD" , "Register Globals sind OFF. ..das sollte kein Problem darstellen. :: <img src='images/question.gif' />");
define("_INSTALL_ST_PHP_OK"      , "Deine PHP version ist %s, das ist ausreichend :: <img src='images/check.gif' />");
define("_INSTALL_ST_PHP_BAD"     , "Du hast nur Version %s von PHP. Du brauchst eine aktuellere Version um RUNCMS zu benutzen :: <img src='images/failed.gif' />");
define("_INSTALL_ST_NEXT"        , "Wenn die oberen Ergebnisse stimmen, fahre bitte fort..");
define("_INSTALL_PHPINFO"        , "PHP-INFO");

// DBFORM
define("_INSTALL_DF_DB"          ,"Datenbank");
define("_INSTALL_DF_DB1"         ,"Wähle, welchen Datenbanktyp du benutzen möchtest.");
define("_INSTALL_DF_HOST"        ,"Datenbank Hostname");
define("_INSTALL_DF_HOST1"       ,"Hostname des Datenbank-Servers. ( Wenn du unsicher bist, 'localhost' funktioniert in den meisten fällen. )");
define("_INSTALL_DF_UNAME"       ,"Datenbank Username");
define("_INSTALL_DF_UNAME1"      ,"Dein Datenbank User Account auf dem Server. ( Oft root, wenn es lokal auf deinem PC installiert ist. )");
define("_INSTALL_DF_PASS"        ,"Datenbank Password");
define("_INSTALL_DF_PASS1"       ,"Password für Datenbank User Account auf dem Server.");
define("_INSTALL_DF_DBNAME"      ,"Datenbank Name");
define("_INSTALL_DF_DBNAME1"     ,"Der Name der Datenbank auf dem Server. Der Install-Assistent wird versuchen eine Datenbank zu erstellen, wenn keine existiert.");
define("_INSTALL_DF_PREFIX"      ,"Tabellen-Vorsilbe/Table Prefix");
define("_INSTALL_DF_PREFIX1"     ,"Diese Vorsilbe wird vor alle neuen Tabellen gesetzt um Namenskonflikten in der Datenbank aus dem Wege zu gehen. Am besten du benutzt den Standard-Eintrag 'runcms'.");
define("_INSTALL_DF_PCONNECT"    ,"Dauerhafte Verbindung nutzen?");
define("_INSTALL_DF_PCONNECT1"   ,"Standard ist'Nein'. Wähle 'NEIN' wenn du dir unsicher bist.");
define("_INSTALL_DF_PATH"        ,"Physical Path");
define("_INSTALL_DF_PATH1"       ,"Physikaler Pfad zum Hauptverzeichnis von RUNCMS - OHNE den SLASH! ( Unter Windows einfache Slashes benutzen & sicherstellen den Laufwerksbuchstaben anzugeben. c:/myfolder )");
define("_INSTALL_DF_URL"         ,"Virtual Path (URL)");
define("_INSTALL_DF_URL1"        ,"Virtueller Pfad zum Hauptverzeichnis von RUNCMS - OHNE den SLASH! ( http://www.mysite.com/myfolder )");
define("_INSTALL_DF_PLEASE_ENTER","Bitte gib einen gültigen an %s");
define("_INSTALL_DF_ERRORS"      , "Folgende Fehler wurden festgestellt:");
define("_INSTALL_DF_BADROOT"     , "Der Physikale Pfad den du angegeben hast, scheint nicht zu existieren.");
define("_INSTALL_DF_BADDB"       , "Kann mit den angegebenen Daten keine Verbindung zur Datenbank herstellen.");
define("_INSTALL_DF_OK"          , "Das schaut doch gut aus! Fortfahren um deine Einstellungen zu speichern.");
define("_INSTALL_LANG"           , "Standard Setup-Sprache.");


// Mainfile setup
define("_INSTALL_MF_FAILOPEN" ,"Konnte die mainfile.php nicht öffnen. Bitte überprüfe die Berechtigungen (chmod) und versuche es erneut.");
define("_INSTALL_MF_FAILWRITE","Konnte nicht in die mainfile.php schreiben. Kontaktiere den Server-Administrator für Details.");
define("_INSTALL_MF_WRITEOK"  ,"Konfigurations-Daten erfolgreich gespeichert.");

// Admin Setup
define("_INSTALL_AD_MSG"     , "Jetzt können wir deinen Admin-Zugang zum RUNCMS-System einrichten:");
define("_INSTALL_AD_UNAME"   , "User Name:");
define("_INSTALL_AD_EMAIL"   , "Admin Email:");
define("_INSTALL_AD_PASS"    , "Passwort:");
define("_INSTALL_AD_BADPASS" , "Bitte gib ein Passwort mit mehr als %s Zeichen an!");
define("_INSTALL_AD_BADUNAME", "Benutze nur alphanummerische Zeichen in deinem Namen und keine Leer- und Sonderzeichen!");
define("_INSTALL_AD_BADEMAIL", "Das scheint keine gültige Emailadresse zu sein (Format).");

// DB CREATION
define("_INSTALL_DB_DBERROR" , "Datenbank-Tabellenerstellung fehlgeschlagen. Tabellen wurden gelöscht.");
define("_INSTALL_DB_TRYAGAIN", "Klcike <a href='%s'>hier</a> um nochmal von vorn zu beginnen.");

// Finish
define("_INSTALL_F_CONGRAT" , "Glückwunsch, RUNCMS ist erfolgreich installiert.");
define("_INSTALL_F_CHMOD"   , "Bitte stelle sicher, den unten aufgeführten Dateien entsprechend der Tabelle die Zugriffsrechte zu verteilen (CHMOD):");
define("_INSTALL_F_CHMODMSG", "Wenn du Zugriff auf die Kommando-Zeile deines Servers hast, kannst du auch ein Script für dein Betriebssystem runterladen. Speichere es einfach auf deine Festplatte, und führe es in der Kommandozeile aus!");
define("_INSTALL_F_VISIT"   , "Du kannst deine Seite besuchen, wenn du <a href='%s/'>hier</a> klickst!");

// Some general stuff
define("_INSTALL_G_TITLE" , "Installation");
define("_INSTALL_U_CHOOSE", "Bitte wähle ein Upgrade-Packet:");
define("_INSTALL_U_NOTE"  , "WICHTIG: Deine alte mainfile.php muss schon auf dem Server liegen & die richtigen Inforamtionen beinhalten.");
define("_INSTALL_U_README", "Klicke <a href='%s' target='_blank'>hier</a> um die <b>LIESMICH</b>-Datei für weitere Informationen zu lesen.");
?>
